# Coding Standards

A standard set of linting rules for PHP projects.

At the moment you need to grab phpcs.xml and phpmd.xml from here and manually copy these into individual projects. 

We will look at a way of pulling these in as a dependency at some point.

## Standard composer scripts

```
"scripts": {
    "phpcs": "vendor/bin/phpcs --standard=./phpcs.xml -p ./src",
    "phpmd": "vendor/bin/phpmd ./src text ./phpmd.xml",
    "lint": [
      "composer phpmd",
      "composer phpcs"
    ],
    "test": "vendor/bin/phpunit tests"
}
```